Subject: Re: [BUG] t7063-status-untracked-cache flaky?

From: David Turner <[email-masked]>
Date: Fri, 16 Oct 2015 16:11:38 -0400

On Fri, 2015-10-16 at 17:22 +0200, Torsten Bögershausen wrote:
> On 15.10.15 09:52, Lars Schneider wrote:
> > Hi,
> > 
> > I noticed that "t7063-status-untracked-cache.sh" occasionally fails with "not ok 24 - test sparse status with untracked cache".
>
> I can't reproduce it here.
> Do you want to give us some info about your setup ?
> OS ?
> Harddisk, SSD, Fusion ?
> Does "debug=t verbose=t ./t7063-status-untracked-cache.sh >xx.txt
2>&1" 
> give any more information ?

(rearranged to bottom-post)

The problem is:

trash directory.t7063-status-untracked-cache$ diff trace trace.expect 
3,4c3,4
< directory invalidation: 1
< opendir: 1
---
> directory invalidation: 2
> opendir: 2

I can repro on a SSD.

I had to try many times to reproduce (I think even more the second
time). I just ran the test in a while loop until it failed.

I suspect that the kernel might be a bit slow to update the mtime on the
directory, but I have not yet been able to repro, and I don't understand
why it only happens in this one test, since sparseness should be
completely unrelated.